> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Chargeback

> Get chargeback detail with evidence.



## OpenAPI

````yaml get /billing/chargebacks/{chargeback_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/chargebacks/{chargeback_id}:
    get:
      tags:
        - Chargebacks
      summary: Get Chargeback
      description: Get chargeback detail with evidence.
      operationId: get_chargeback_billing_chargebacks__chargeback_id__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: chargeback_id
          in: path
          required: true
          schema:
            type: string
            title: Chargeback Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChargebackDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ChargebackDetail:
      properties:
        id:
          type: string
          title: Id
        rainforestChargebackId:
          type: string
          title: Rainforestchargebackid
        paymentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Paymentid
        payinId:
          type: string
          title: Payinid
        amount:
          type: integer
          title: Amount
          description: Amount in cents
        currency:
          type: string
          title: Currency
          default: USD
        status:
          $ref: '#/components/schemas/ChargebackStatus'
        reasonCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Reasoncode
        reasonDesc:
          anyOf:
            - type: string
            - type: 'null'
          title: Reasondesc
        acquirerRef:
          anyOf:
            - type: string
            - type: 'null'
          title: Acquirerref
        dueDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Duedate
        methodType:
          anyOf:
            - type: string
            - type: 'null'
          title: Methodtype
        merchantFees:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Merchantfees
        evidence:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Evidence
        rainforestCreatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Rainforestcreateddate
        rainforestUpdatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Rainforestupdateddate
        paymentDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Paymentdate
        patient:
          anyOf:
            - $ref: '#/components/schemas/PatientTiny'
            - type: 'null'
        createdDate:
          type: string
          format: date-time
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
      type: object
      required:
        - id
        - rainforestChargebackId
        - payinId
        - amount
        - status
        - createdDate
      title: ChargebackDetail
      description: Full chargeback detail including evidence.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ChargebackStatus:
      type: string
      enum:
        - INQUIRY_ACTION_REQUIRED
        - INQUIRY_RESPONDED
        - INQUIRY_PROCESSING
        - DISPUTE_ACTION_REQUIRED
        - CHARGEBACK_PROCESSING
        - PRE_ARBITRATION_PROCESSING
        - ARBITRATION
        - PROVISIONAL_WIN
        - WON
        - LOST
        - ACCEPTED
      title: ChargebackStatus
    PatientTiny:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the user.
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
          description: The user's first name.
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
          description: The user's last name.
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: The user's phone number.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The user's email address.
        type:
          $ref: '#/components/schemas/UserType'
          description: The type of user.
          default: PATIENT
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
          description: The location of the user.
        dateOfBirth:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Dateofbirth
          description: The date of birth of the patient.
        onSchedulingBlacklist:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Onschedulingblacklist
          description: Whether the patient is on the scheduling blacklist.
      type: object
      required:
        - id
      title: PatientTiny
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserType:
      type: string
      enum:
        - PROVIDER
        - PATIENT
        - ASSISTANT
      title: UserType

````